Skip to content

No Race Restrictions Mod version 1.01 for BG:EE (or BG2:EE) version 2.0 and later

BCaesarBCaesar Member Posts: 396
edited January 2017 in BG:EE Mods
Hello all,
I just completed a mod that removes all race restrictions for classes. So you can be any class with any race. It also adds the missing animations (halfling mages, and non-human monks) using the cleric animations for each race.

The latest version of the mod is attached to this thread. To install it just copy the files into the game directory (whatever folder has the chitin.key) and then open the installer.

For example I downloaded BG1:EE directly off of Beamdog and I find the chitin.key file in C: ProgramFiles (x86)/Baldur's Gate Enhanced Edition/Data/00766/

I downloaded BG2:EE directly off of Gog.com (not using Gog galaxy) and I find its chitin.key file in C: Gog Games/Baldur's Gate II - Enhanced Edition/

I'm hoping this mod is compatible with any mod installed before it as it only overwrites files to allow more things (more class choices) and then it creates new kit and animation files.

Specifically this mod overwrites CLSRCREQ.2DA to allow all races to be all classes. Then it overwrites MGSRCREQ.2DA to allow all races to be all mage kits. Then it overwrites the kit files for mages for each non-human race to allow them to be all kit types: K_M_D.2DA, K_M_E.2DA, K_M_G.2DA, K_M_HE.2DA, K_M_HL.2DA, and K_M_HO.2DA.

I also overwrote ABCLASRQ.2DA to lower the minimum Charisma needed to create Paladins to 16 so that way you can make dwarven Paladins.

Then it creates the following new files:
New Monk kit files for each missing race: K_MN_D.2DA, K_MN_E.2DA, K_MN_G.2DA, K_MN_HE.2DA, K_MN_HL.2DA, and K_MN_HO.2DA.
New Shaman kit files for the missing races: K_SH_D.2DA, K_SH_E.2DA, K_SH_G.2DA, K_SH_HL.2DA
New halfling mage animation files (using cleric animations): 6203.INI and 6213.INI
New monk animation files for each non-human race. Males: 6501.INI, 6502.INI, 6503.INI, 6504.INI, and 6505.INI
Monk females: 6511.INI, 6512.INI, 6513.INI, 6514.INI, 6515.INI.

Lastly this mod is unfortunately not compatible with any Baldur's Gate (or BG2) older than Enhanced Edition 2.0 because only enhanced edition 2.0 and later has INI files. On older versions my new INI files crash the game. However, if you're not playing a halfling magic-user or a non-human monk you could just delete the INI files before you install it and it would probably still work on the older versions of the game (maybe even pre-EE, I don't know).

I hope you enjoy it. I made it for me, but I'm hoping others find it useful as well. If you notice any bugs or anything not working please let me know what's broken and I'll try to fix it.
----------------------

Changes for 1.01
Now allows you to make non-dwarven dwarven defenders.

Also lowers the minimum Charisma needed to make Paladins to 16 so you can make dwarven Paladins.
Post edited by BCaesar on
GrammarsaladRatatoskrKamigoroshiAerakarPapa_LouNumptyIlya_RysenkovThacoBellinethProontRAM021marcialhdLethlianSharkHunter47Aedan[Deleted User]Fina92

Comments

  • RatatoskrRatatoskr Member Posts: 665
    I tested this one and it seems to work just fine. My gnome monk is adorable.
    RAM021booinyoureyes
  • Papa_LouPapa_Lou Member Posts: 263
    My apologies if I missed this in your original post, but is this compatible with SoD and BGIIEE as well?
  • RatatoskrRatatoskr Member Posts: 665
    @Papa_Lou This mod should be compatible with BG2EE. It says so in the description and my test installed just fine. Not sure about SOD since neither of us have it. But theoretically, it should work fine unless they changed all the .ini files around again.
    RAM021
  • VallmyrVallmyr Member, Mobile Tester Posts: 2,456
    I just tested it in Icewind Dale: Enhanced Edition and looked like it worked there. I'll have to do a fresh reinstall though to make sure.
    RAM021[Deleted User]
  • BCaesarBCaesar Member Posts: 396
    edited January 2017
    Papa_Lou said:

    My apologies if I missed this in your original post, but is this compatible with SoD and BGIIEE as well?

    Yeah. I have a thread in the BG2 modding forum with this mod, but it's the exact same mod attached to both threads. So as long as it's EE version 2.0 or later you should be fine.

    I assume it would actually work with the earlier versions (before 2.0) too as long as you deleted all the INI files from the mod Copy folder before you installed it. But then your non-Human monks and Halfling mages/sorcerers would all look like Human males I think. Every other class/race combination should still work though.
  • EnialusMeliamneEnialusMeliamne Member Posts: 399
    Half-orc paladin...coming right up! Thanks!
    RAM021
  • VallmyrVallmyr Member, Mobile Tester Posts: 2,456
    Oh, so while it does work for IWD:EE it does make it so the Cleric of Tempus kit is unselectable. This is assuming because that kit doesn't exist in BG:EE.
    [Deleted User]
  • BCaesarBCaesar Member Posts: 396
    edited January 2017
    Vallmyr said:

    Oh, so while it does work for IWD:EE it does make it so the Cleric of Tempus kit is unselectable. This is assuming because that kit doesn't exist in BG:EE.

    Oh yeah, I don't have IWD:EE so I couldn't make it for kits/classes that aren't in BG:EE. If someone else wanted to edit the mod in that forum to do that please feel free:

    https://forums.beamdog.com/discussion/62999/no-race-restrictions-mod-version-1-00-for-icewind-dale-or-bg1-2-enhanced-edition-2-0-and-later/p1?new=1


    Also I just updated this mod to 1.01 allowing you to make non-dwarven dwarven defenders and also Dwarven Paladins (which I did by lowering the minimum Charisma needed to make a Paladin to 16.

    Post edited by BCaesar on
    VallmyrRAM021[Deleted User]
  • NumptyNumpty Member Posts: 5
    This is perfect. Thank you!
    [Deleted User]
  • Ilya_RysenkovIlya_Rysenkov Member Posts: 2
    Good thing. Class restrictions should only be when it's reasonable. Thank you for changing that.
    RAM021
  • NikomakkosNikomakkos Member Posts: 44
    This is a very interesting mod. Do you reckon there'd be any problems with this mod and the Steam version of the game? Or the upcoming 2.5 patch?
  • RAM021RAM021 Member Posts: 403
    Great mod - thanks!
    [Deleted User]
  • marcialhdmarcialhd Member Posts: 53
    hi! i have a question about this mod does it also removes the alignment restrictions on certain classes (mostly paladin and monk) and if not could you please point me to a mod that does that its just that i had searched for a while and i haven't found one.
  • AedanAedan Member, Translator (NDA) Posts: 8,546
    Thank you very much for this mod. Halfling druids everywhere!
    Tagging @Shandyr - look what I found :)
    [Deleted User]
  • BCaesarBCaesar Member Posts: 396

    This is a very interesting mod. Do you reckon there'd be any problems with this mod and the Steam version of the game? Or the upcoming 2.5 patch?

    I have no idea. Try it out and see.
  • BCaesarBCaesar Member Posts: 396
    marcialhd said:

    hi! i have a question about this mod does it also removes the alignment restrictions on certain classes (mostly paladin and monk) and if not could you please point me to a mod that does that its just that i had searched for a while and i haven't found one.

    If I remember correctly (and that's not guaranteed) I only removed race restrictions. Try searching the mod forum about alignment restrictions.
    RAM021
  • turtletoonfanturtletoonfan Member Posts: 5
    edited June 2020
    Hi. I am trying to use near infinity to allow an Elven mage conjurer. I am having a bit of trouble and hoped you could help. I have edited the CLSRCREQ.2DA, MGSRCREQ.2DA and K_M_E.2DA files and put them in the override folder but still not able to select Conjurer. Is there another file that I should be editing? I am doing this for bg ee (sod) v 2.3.67.3.

    Not sure how but I have fixed this.... Not sure how to delete this post so please just ignore me. :smile:
  • BCaesarBCaesar Member Posts: 396
    Hi. I am trying to use near infinity to allow an Elven mage conjurer. I am having a bit of trouble and hoped you could help. I have edited the CLSRCREQ.2DA, MGSRCREQ.2DA and K_M_E.2DA files and put them in the override folder but still not able to select Conjurer. Is there another file that I should be editing? I am doing this for bg ee (sod) v 2.3.67.3.

    Not sure how but I have fixed this.... Not sure how to delete this post so please just ignore me. :smile:

    Glad it worked. This mod is actually pretty clumsy in that it replaces those 2da files rather than editing them line by line which makes it less compatible with other mods. If anyone ever wants to use this mod to make a better version of it you are welcome to do so; I'm not going to as it'll take hours and I don't care :) .
    turtletoonfan
  • Emardon_LareousEmardon_Lareous Member Posts: 45
    I tried the mod on an EET install, it doesn't appear to be picking up the correct animations for my halfling monk, he's still using the quarterstaff animation
  • BCaesarBCaesar Member Posts: 396
    I tried the mod on an EET install, it doesn't appear to be picking up the correct animations for my halfling monk, he's still using the quarterstaff animation

    No idea. I'm not going to try to figure it out though. This mod is a pretty crude thing (it replaces files rather than editing)
Sign In or Register to comment.